/*
 * This file is part of nads
 * Copyright (c) 2003 ECSC Ltd.
 * Author: Gianni Tedesco <gianni@scaramanga.co.uk>
 * Released under the terms of the GNU GPL version 2
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include <nads.h>

int __hidden nads_errcode;

static const char *estr[]={
	[ NADS_ERR_SUCCESS ] "Success",
	[ NADS_ERR_NO_WEBSERVER ] "No webservers matched your criteria",
	[ NADS_ERR_BAD_HEX ] "Bad Hex encoding",
	[ NADS_ERR_TRAVERSAL ] "Attempt to traverse outside of webroot",
	[ NADS_ERR_BAD_UTF8 ] "Bad UTF-8 character sequence",
	[ NADS_ERR_NULL ] "NUL character insertion",
};

int nads_error(void)
{
	return nads_errcode;
}

const char *nads_strerror(int err)
{
	if ( err > sizeof(estr)/sizeof(*estr) )
		return "Unknown error";

	return estr[err];
}

const char *nads_errstr(void)
{
	return nads_strerror(nads_errcode);
}
