/*
 * This file is part of nads
 * Copyright (c) 2003 ECSC Ltd.
 * Author: Gianni Tedesco <gianni@scaramanga.co.uk>
 * Released under the terms of the GNU GPL version 2
*/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include <nads.h>

#ifdef HAVE_GETOPT_H
#include <getopt.h>
#endif

int main(int argc, char **argv) 
{
	const char *ws="IIS";
	static char buf[8192];
	struct nads_result res;
	int state=0;
	char *end;

	if ( !nads_select_webserver(ws) ) {
		fprintf(stderr, "%s: %s: %s\n", argv[0], ws, nads_errstr());
		return 1;
	}

	while( fgets(buf, sizeof(buf), stdin) ) {
		end = strchr(buf, '\n');
		if ( state == 1 ) {
			if ( end != NULL ) {
				state = 0;
			}
			continue;
		}else if ( end == NULL ) {
			state = 1;
			continue;
		}
		
		*end = '\0';
		if ( nads_normalize(buf, &res) == NADS_OK ) {
			printf("%s?%s\n", res.uri, res.query);
		}else{
			fprintf(stderr, "%s: %s\n", argv[0],
				nads_errstr());
		}
	}

	return 0;
}
